Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket
Class TransportLayerNodeHandle<Identifier>

    java.lang.Object
      java.util.Observable
          rice.p2p.commonapi.NodeHandle
              rice.pastry.NodeHandle
                  rice.pastry.socket.TransportLayerNodeHandle<Identifier>

Type Parameters:
  `Identifier` - the underlieing layer

All Implemented Interfaces:
  java.io.Serializable, RawSerializable

Direct Known Subclasses:
  BogusNodeHandle, DirectNodeHandle, DistNodeHandle

    public abstract class TransportLayerNodeHandle<Identifier>

extends NodeHandle

Parallel interface to the CommonAPI NodeHandle, because it is an abstract object to gain the observer pattern.

Author:
  Jeff Hoye
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.NodeHandle
`LIVENESS_ALIVE, LIVENESS_DEAD, LIVENESS_SUSPECTED, localnode, logger`

Fields inherited from class rice.p2p.commonapi.NodeHandle
`DECLARED_DEAD, DECLARED_LIVE, PROXIMITY_CHANGED`

Constructor Summary
`TransportLayerNodeHandle()`

Method Summary
`abstract Identifier` | `getAddress()`
`abstract long` | `getEpoch()`

Methods inherited from class rice.pastry.NodeHandle
`addObserver, addObserver, assertLocalNode, bootstrap, checkLiveness, countObservers, deleteObserver, deleteObservers, equals, getId, getLiveness, getLocalNode, getNodeId, hashCode, isAlive, notifyObservers, ping, proximity, receiveMessage, serialize, update`

Methods inherited from class java.util.Observable
`clearChanged, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportLayerNodeHandle

    public TransportLayerNodeHandle()

Method Detail

### getAddress

    public abstract Identifier getAddress()

### getEpoch

    public abstract long getEpoch()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.